Username: Password: Remember me
Search + Advanced
Package Details

zenity 3.8.0-1
http://www.gnome.org
Display graphical dialog boxes from shell scripts

Category: lib

Submitter:
Maintainer: enoop
Votes: 0

License: LGPL

Last Updated: 2013/06/07 - 21:16:58 +0000
First Submitted: 2011/05/30 - 19:38:29 +0000

Tarball :: PKGBUILD
This package has been flagged out of date.

Dependenciesgtk3 libnotify 

Required by bitwig-studio divxconverter mediasetviewer mintnanny netflix-desktop vidyodesktop

Sources

Comment by: onlooker on Wed, 30 Nov 2016 21:41:12 +0000


Here's a slightly tweaked PKGBUILD for Zenity 3.22.0, which is, at the time of this writing, the most recent version. Basically, all I did was change the version number and the sha256sum to match the 3.22.0 source file.

# Maintainer: Jan de Groot <jgc@archlinux.org>
# Chakra Maintainer enoop : <enoopt.adams@gmail.com> 

pkgname=zenity
pkgver=3.22.0
pkgrel=1
pkgdesc="Display graphical dialog boxes from shell scripts"
arch=(i686 x86_64)
license=('LGPL')
depends=('gtk3' 'libnotify')
makedepends=('intltool' 'gtk-doc' 'itstool' 'docbook-xsl')
url="http://www.gnome.org"
source=(http://ftp.gnome.org/pub/gnome/sources/ … er}.tar.xz)
sha256sums=('1ecdfa1071d383b373b8135954b3ec38d402d671dcd528e69d144aff36a0e466')

build() {
  cd $pkgname-$pkgver
  ./configure --prefix=/usr --sysconfdir=/etc 
      --localstatedir=/var
  make
}

package() {
  cd $pkgname-$pkgver
  make DESTDIR="${pkgdir}" install
}

Comment by: enoop on Thu, 20 Jun 2013 05:13:26 +0000


Compiles fine for me. Have you tried manually installing gtk3 with pacman -S gtk3?

Comment by: archvillain on Thu, 20 Jun 2013 02:53:42 +0000


Not sure if this is a problem with the package or the source, but currently one my 64 bit AMD machine, this breaks with the following output:

/usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.0/../../../../lib/libsoup-2.4.so: undefined reference to `g_task_set_task_data'
/usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.0/../../../../lib/libwebkitgtk-3.0.so: undefined reference to `u_getIntPropertyValue_46'
/usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.0/../../../../lib/libwebkitgtk-3.0.so: undefined reference to `u_isprint_46'
collect2: error: ld returned 1 exit status
make[2]: *** [zenity] Error 1
make[2]: Leaving directory `/tmp/ccrbuild-1000/zenity/zenity/src/zenity-3.8.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/ccrbuild-1000/zenity/zenity/src/zenity-3.8.0'
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

...to my untrained eye it looks like an issue with no having GTK3 installed, however I have the extra repo enabled, so I would really expect ccr to install it if it's needed...